net.corda.core.contracts

## Interface SchedulableState

- All Superinterfaces:
    ContractState

      public SchedulableState
      extends ContractState

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScheduledActivity` | `nextScheduledActivity(StateRef thisStateRef, FlowLogicRefFactory flowLogicRefFactory)` Indicate whether there is some activity to be performed at some future point in time with respect to this `interface ContractState`, what that activity is and at what point in time it should be initiated. This can be used to implement deadlines for payment or processing of financial instruments according to a schedule.

    - ### Methods inherited from interface net.corda.core.contracts.ContractState

      `getContract, getParticipants`

- - ### Method Detail

    - #### nextScheduledActivity

          ScheduledActivity nextScheduledActivity(StateRef thisStateRef,
                                                  FlowLogicRefFactory flowLogicRefFactory)

      Indicate whether there is some activity to be performed at some future point in time with respect to this `interface ContractState`, what that activity is and at what point in time it should be initiated. This can be used to implement deadlines for payment or processing of financial instruments according to a schedule.

      The state has no reference to it's own StateRef, so supply that for use as input to any FlowLogic constructed.

      Returns:
        null if there is no activity to schedule.
      See Also:
        `interface ContractState`